/*
 * Copyright 2010 Martin Schreiber
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __FONT_H
#define __FONT_H

#include "CTexture.hpp"

class CFont
{
	private:
		CTexture *fontTexture;
		GLuint fontDisplayList;
		float charWidth, charHeight;
		float scaleX, scaleY;

	public:
		/**
		 * init successful
		 */
		int init;

		CFont(const string &file = "images/fontmap.png");
		void setup(const string &file = "images/fontmap.png");

		void setFontSize(float size);
		void printfxy(int x, int y, const char *format, ...);
};


#endif
